01.software Docs

calculateShipping

Use the SDK for application integration. This read-only reference covers Commerce, Customer Auth, Membership and Events.

All HTTP operations
POST
/api/shipping-policies/calculate

Tenant-scoped shipping quote. A quote is not checkout admission or a reservation.

Authorization

headerX-Publishable-Key<token>

Tenant publishable key for authentication (sent via X-Publishable-Key header)

Request Body

application/json
  1. body
shippingPolicyId?|number
orderAmount*number
Range0 <= value
countryCode?string
Length2 <= length <= 2
regionCode?string
postalCode?string

Response Body

Successful operation

application/json
  1. response
shippingAmount*number
baseShippingAmount*number
extraShippingAmount*number
shippingLines*array<>
freeShipping*boolean
freeShippingMinAmount*number|null
isJeju*boolean
isRemoteIsland*boolean

Examples may be generated from schemas; they are illustrative, not recorded successful API calls. Example snippets may omit required authentication headers.

Example Request
curl -X POST 'https://api.01.software/api/shipping-policies/calculate' \  -H 'Content-Type: application/json' \  -d '{  "orderAmount": 0}'
Example Response
{  "shippingAmount": 0,  "baseShippingAmount": 0,  "extraShippingAmount": 0,  "shippingLines": [    {      "label": "string",      "lineType": "base",      "amount": 0,      "rateId": "string",      "zoneId": "string"    }  ],  "freeShipping": true,  "freeShippingMinAmount": 0,  "isJeju": true,  "isRemoteIsland": true}